#  Makefile for GTOOL-3.1 samples
#

include ../../../Mkinclude

PROGRAM	      = gtlp

SRC	      = $(PROGRAM).sh

FFLAGS 	      = $(STDFFLAGS) -I$(INCDIR)

CFLAGS        = $(STDCFLAGS) -I$(INCDIR)

CPPFLAGS      = $(STDCPPFLAGS) -I$(INCDIR)

LDFLAGS       = $(STDLDFLAGS)

HDRS	      = $(INCDIR)/gtsinc.F

MAKEFILE      = Makefile

all: $(PROGRAM)

$(PROGRAM): $(SRC)
	$(CP) $(SRC) $(PROGRAM)
	chmod +x $(PROGRAM)

install: $(PROGRAM)
	@echo "Installing executable program $(PROGRAM)"
	$(CP) $(PROGRAM) $(BINDEST)/$(PROGRAM)

clean:
		$(RM) *.o *~ core *.trace *.f $(PROGRAM)

index:
		@$(INDEX) $(HDRS) $(SRCS)

print:		$(PRINTSTAMP)

$(PRINTSTAMP): $(HDRS) $(SRCS_ALL)
		$(PRINT) $?
		$(TOUCH) $(PRINTSTAMP)

tags:
		@$(TAGS) $(HDRS) $(SRCS_ALL)



########

